Skip to main content
POST
/
utils
/
memories
/
{memory_id}
/
validate
Validate a memory
curl --request POST \
  --url https://api.example.com/utils/memories/{memory_id}/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "confidence_score": 0.5
}
'
{
  "validation_status": "unvalidated",
  "confidence_score": 0.5,
  "validated_by": "<string>",
  "validated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

memory_id
string
required

Memory ID

Body

application/json

Request to validate a memory.

confidence_score
number
required

Confidence score (0.0-1.0)

Required range: 0 <= x <= 1

Response

Successful Response

Quality information for a memory.

validation_status
enum<string>
default:unvalidated

Validation status

Available options:
unvalidated,
validated,
disputed
confidence_score
number | null

Confidence score from validation

Required range: 0 <= x <= 1
validated_by
string | null

User who validated

validated_at
string<date-time> | null

Validation timestamp